package src.DrawningObjects;

import src.NumberType;

import javax.swing.*;
import java.awt.*;
public class DrawningIlluminators implements IDraw{
    private NumberType IlluminatorNumb;
    private Color IlluminatorColor;
    private int Width, Height;
    protected int CurX, CurY;
    public DrawningIlluminators(int width, int height, int curX, int curY){
        Width = width;
        Height = height;
        CurX = curX;
        CurY = curY;
    }
    public void ChangeX(int x){
        CurX = x;
    }
    public void ChangeY(int y){
        CurY = y;
    }
    public void ChangeIlluminatorNumb(int x){
        if(x <= 2)
            IlluminatorNumb = NumberType.Ten;
        if(x == 3)
            IlluminatorNumb = NumberType.Twenty;
        if(x >= 4)
            IlluminatorNumb = NumberType.Thirty;
    }
    public NumberType IlluminatorNumb(){
        return IlluminatorNumb;
    }
    public void DrawIlluminators(Graphics2D g2d){
        g2d.setColor(Color.BLUE);
         int x = CurX;
         int y = CurY;
        for( int i =0; i<10;i++){
            g2d.fillOval( x+34 , y+29 , 5, 5);
            x+=7;
        }
//20 иллюминаторов
        if (IlluminatorNumb == NumberType.Twenty || IlluminatorNumb == NumberType.Thirty)
        {
            x = CurX;
            for( int i =0; i<10;i++){
                g2d.fillOval( x+34 , y+37 , 5, 5);
                x+=7;
            }
        }
//30 иллюминаторов
        if (IlluminatorNumb == NumberType.Thirty)
        {
            x = CurX;
            for( int i =0; i<10;i++){
                g2d.fillOval( x+34 , y+45 , 5, 5);
                x+=7;
            }
        }
    }
}
