package src.Generics;

import src.DrawningObjects.DrawningAirplane;
import java.util.ArrayDeque;
import java.util.Queue;

public class AirplaneTrashCollection <T extends DrawningAirplane>{
    Queue <T> _queue;

    public AirplaneTrashCollection(){
        _queue = new ArrayDeque<>();
    }

    public void Push(T airplane){
        _queue.add(airplane);
    }

    public int GetSize(){
        return _queue.size();
    }

    public DrawningAirplane Pop(){
        if(_queue.size() ==0)
            return null;

        return _queue.remove();
    }

    public T GetTop(){
        return _queue.peek();
    }
}
