package src.Generics;
import java.util.ArrayList;
import java.util.List;

public class SetGeneric <T extends Object>{
    private final List<T> _places;
    public int Count;
    private final int _maxCount;
    public SetGeneric(int count){
        _maxCount = count;
        _places = new ArrayList<>();
    }
    public boolean Insert(T airplane){
        if(_places.size() == _maxCount)
            return false;
        Insert(airplane, 0);
        return true;
    }

    public boolean Insert(T airplane, int position){
        if (!(position >= 0 && position <= _places.size() && _places.size() < _maxCount))
            return false;
        _places.add(position, airplane);
        Count++;
        return true;
    }

    public boolean Remove(int position){
        if(!(position >= 0 && position < _places.size()))
            return false;
        _places.remove(position);
        return true;
    }
    public T Get(int position){
        if(!(position >= 0 && position < _places.size()))
            return null;
        return (T)_places.get(position);
    }
    public ArrayList<T> GetAirplanes(int maxAirplanes){
        ArrayList<T> toRet = new ArrayList<>();
        for(int i = 0; i < _places.size(); i++){
            toRet.add(_places.get(i));
            if(i == maxAirplanes)
                return toRet;
        }
        return toRet;
    }
}
